#!/bin/sh

cd $( dirname $0)

PATH=/sbin:/bin:/usr/sbin:/usr/bin

# If the device does not have the FRAM we need to use the UN60 set of files
# which are ending with _UN60.*. Here we are replacing these if needed
# ex. libIoDrvPOWERLINK_UN60.so -> libIoDrvPOWERLINK.so

UN60_FILES="$( echo deploy/*_UN60.* )"

if [ -e /dev/fram ]; then
	rm -rf $UN60_FILES
else
	for f in $UN60_FILES; do
		mv $f $( echo $f | sed s:_UN60\.:\.:)
        done
fi

# Install additional fonts
if [ -d fonts ]; then
	rm -rf /home/root/.fonts/codesys3
	mkdir -p /home/root/.fonts
	mv fonts /home/root/.fonts/codesys3
fi

sync

dbus-send --print-reply --system --dest=com.exor.JMLauncher '/' com.exor.JMLauncher.installFinished int32:0 string:""
