#!/bin/sh

cd $(dirname $0)


cd deploy

PGID=` cat /proc/$$/stat | awk '{print $5}'`
echo $PGID > /var/run/hmi-cds3.pid # save pid for termination
(
    # export required variables (not availables if started by jmlauncher daemon)
    export USER=`busybox whoami`
    export HOME=`eval echo ~$USER`
    echo "Starting Codesys3 as user \"$USER\" with home \"$HOME\""
    ./start.sh $@;
    dbus-send --print-reply --system --dest=com.exor.JMLauncher '/' com.exor.JMLauncher.appFinished string:"Codesys3"
    PID="$(cat /var/run/hmi-cds3.pid)"
    rm /var/run/hmi-cds3.pid
    pkill -TERM  -s $PID;       # kill all child spawned processes if any
) &

# wait Codesys Runtime is started
sleep 5

if ( pgrep codesys > /dev/null ); then
    # starts debugging resources (print a report every 60 minutes and check ram usage every 60 seconds)
    dbus-send --print-reply --system --dest=com.exor.EPAD /SysStat com.exor.EPAD.SysStat.monitorSystemResources int32:60 int32:60

    dbus-send --print-reply --system --dest=com.exor.JMLauncher '/' com.exor.JMLauncher.appLoaded string:"Codesys3"
fi
